Firmware 10.3 Ironhax crashes

Discussion in '3DS - Homebrew Development and Emulators' started by Jayster_2, Dec 9, 2015.

  1. Jayster_2
    OP

    Jayster_2 Advanced Member

    Newcomer
    67
    123
    Sep 21, 2015
    United States
    So when the latest 3ds firmware update rolled out, I of course waited for Smea to give the OK for updating. As you all know, Ironhax users had to update payloads before updating firmware (10.3). That's what I did. Got everything updated, and then proceeded to install the firmware update from Nintendo. That went fine, but when I tried accessing Ironhax, it would get as far as telling me "Homebrew ropbin is ready" before crashing to the home screen (error has occurred)

    I'm just lost at this point as to what I did wrong, and yes, I am aware that this was some time ago. But I just thought it was a random issue. But it keeps happening.

    So tell me, am I just not able to use homebrew anymore? :/
     
  2. Ammako

    Ammako GBAtemp Guru

    Member
    6,424
    3,547
    Dec 22, 2009
    Canada
    It means you didn't actually update the ironhax payload properly.
    As I don't have the exploitable ironfall myself I don't know much about how ironhax works, I'm not sure where someone or something could fail in the installer. I've heard a lot from many others who did the same thing, said they used ironhax installer to install the newer payload before updating their 3DS and then it wasn't working anymore.
    Did the person mess up when updating and picked the wrong payload? Or is there actual problems with ironhax and the installer that makes it fail sometimes?

    -normally- if you had picked the right firmware version in the installer it should have worked, though. If you are 100% sure you picked the right firmware and everything went right yet it failed, I don't really know what to tell you.
    The last number in the firmware doesn't matter, you just have to pick 10.3.0 when installing. But a place where you could mess up would be accidentally picking the N3DS payload when you are on O3DS, or vice-versa. If you picked the payload for the wrong kind of 3DS then it will fail.

    The only way you'll be able to get back into homebrew would be to have access to Cubic Ninja (the best), or Ocarina of Time 3D which has the exploit installed on it. It could be someone else's game that you borrow just so you can properly update your ironhax payload, or in the case of OoT3D, they need to have a way to access homebrew launcher themselves so the exploit can be installed on the cartridge so that you can use it in your 3DS.

    Or if you are on N3DS, Smashhax can be used as a last resort, requires linux and a compatible wireless adapter though I believe.
     
  3. Xenosaiga

    Xenosaiga That one guy that doesn't give a shit anymore

    Member
    1,478
    838
    Oct 9, 2015
    United States
    The Shadows
    Somebody should really put out a PSA about making use of all three save files on Ironhax just to make sure they absolutely did not mess up.
     
    dark_samus3 likes this.
  4. Jayster_2
    OP

    Jayster_2 Advanced Member

    Newcomer
    67
    123
    Sep 21, 2015
    United States
    Thanks. I guess I'll have to acquire cubic ninja some how :P
     
  5. Xenosaiga

    Xenosaiga That one guy that doesn't give a shit anymore

    Member
    1,478
    838
    Oct 9, 2015
    United States
    The Shadows
    Good luck. I found one for $20 once and drove 100 miles to get it and it was already gone when I got there.
     
  6. Jayster_2
    OP

    Jayster_2 Advanced Member

    Newcomer
    67
    123
    Sep 21, 2015
    United States
    Oh boy. That must have sucked.
     
  7. jagerstaffel

    jagerstaffel GBAtemp Advanced Fan

    Member
    533
    129
    Aug 20, 2008
    United States
    The main problem with folks updating Ironhax payloads was that they chose their firmware when updating payloads, instead of choosing the firmware they will upgrade to.

    Which of those did you do, OP?
     
  8. Jayster_2
    OP

    Jayster_2 Advanced Member

    Newcomer
    67
    123
    Sep 21, 2015
    United States
    I'm pretty sure I chose the 10.3. but I might have accidentally chose New rather than Old.
     
  9. dronesplitter

    dronesplitter GBAtemp Advanced Fan

    Member
    595
    193
    Sep 30, 2007
    United States
    I remember doing this but it worked fine for me. I think the only thing I have trouble with now is my 3ds won't sleep when I'm in the homebrew loader like it did on 10.2. I probably just need to update my loader file from smea's site, though.
     
  10. powerclaw1

    powerclaw1 Newbie

    Newcomer
    9
    1
    Aug 17, 2015
    United States
    I can't update my payload, it gives me an error when trying to download. I'm on 10.1.
     
  11. Substance12

    Substance12 GBAtemp Advanced Fan

    Member
    562
    420
    Aug 2, 2015
    Argentina
    You probably have the *hax 2.1 payload. Just download the latest starter kit and install Ironhax again (make sure you install it on an empty save file)
     
  12. powerclaw1

    powerclaw1 Newbie

    Newcomer
    9
    1
    Aug 17, 2015
    United States
    Ahh, crap! I put in the latest boot.3dsx, ironhax installer and updated the payload to Old3DS 10.3.0-28 USA correctly, but I overwrote a save file. Is that what did it? It's crashing at "The homemenu ropbin is ready."
     
  13. Substance12

    Substance12 GBAtemp Advanced Fan

    Member
    562
    420
    Aug 2, 2015
    Argentina
    Do you still have the old boot.3dsx?

    EDIT: Just noticed that you didn't make the comment I replied to... why did you pick 10.3? Aren't you on 10.1?
     
    Last edited by Substance12, Dec 16, 2015
  14. powerclaw1

    powerclaw1 Newbie

    Newcomer
    9
    1
    Aug 17, 2015
    United States
    Not sure if I have the old boot.3dsx. I did have 10.1 when I first posted but I bit the bullet and updated. Guess that's what I get -.-
     
  15. Substance12

    Substance12 GBAtemp Advanced Fan

    Member
    562
    420
    Aug 2, 2015
    Argentina
    If you have the payload for 10.3 and your firmware is 10.3 then you shouldn't be having a problem.
     
  16. dronesplitter

    dronesplitter GBAtemp Advanced Fan

    Member
    595
    193
    Sep 30, 2007
    United States
    I'm curious, what do you mean by *hax 2.1? I will try installing ironhax over again, but is it important to use a empty save file because I have two slots already used, and was thinking about overwriting the first slot at this point (I'm using slot 2 for my 10.3 hax) but I can use slot 3 if that's somehow necessary. I'm pretty sure you were only suggesting an empty slot of course because you don't want the install to go wrong and leave me with no hax, heh. I do own Cubic Ninja, by the way, but, yeah, I'll overwrite slot 1 unless there's some reason not to.
     
  17. chaoszerobillion

    chaoszerobillion Advanced Member

    Newcomer
    79
    22
    Nov 18, 2013
    United States
    You and me both op
     
  18. jagerstaffel

    jagerstaffel GBAtemp Advanced Fan

    Member
    533
    129
    Aug 20, 2008
    United States
    When substance said "hax 2.1", it's actually the homebrew, not the payload. That's the homebrew starter kit that you have to put into your SD card. Having the latest payload won't work well with older hax's, so you need to make sure the hax says 2.5 at the top of the top screen when loading an Ironfall hax save.
     
  19. Ammako

    Ammako GBAtemp Guru

    Member
    6,424
    3,547
    Dec 22, 2009
    Canada
    I don't think different save files really matter because they will all read from the same payload.bin in the save data anyway.

    When it says 2.5 at the top, that's the payload.
    The hax is always the same, it's only the payload that differs.
    From there you can have an old boot.3dsx homebrew launcher from an old starter kit and it'd work fine with *hax 2.5 regardless.
     
    dronesplitter likes this.
  20. jagerstaffel

    jagerstaffel GBAtemp Advanced Fan

    Member
    533
    129
    Aug 20, 2008
    United States
    Aha. I'm still noobie when it comes to anything 3DS hacking, so I stand corrected and learned :)